%undefine __cmake_in_source_build
%global  wayland_min_version 1.3

Name:           kwayland-integration
Version:        5.27.11
Release:        1
Summary:        Provides integration plugins for various KDE Frameworks for Wayland

License:        LGPLv2+
URL:            https://cgit.kde.org/%{name}.git

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-static
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  qt5-qtwayland-devel

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros

BuildRequires:  kf5-kidletime-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kwayland-devel
BuildRequires:  kf5-kguiaddons-devel

BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel

Requires:       kf5-filesystem

%description
%{summary}.

%prep
%autosetup -p1

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%ldconfig_scriptlets

%files
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/kwindowsystem.kwayland.categories
%{_kf5_plugindir}/kwindowsystem/KF5WindowSystemKWaylandPlugin.so

%changelog
* Thu Mar 14 2024 peijiankang <peijiankang@kylinos.cn> - 5.27.11-1
- Update package to version 5.27.11

* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 5.27.10-1
- update verison to 5.27.10

* Mon Aug 07 2023 yajun<yajun@kylinos.cn> - 5.27.6-1
- update to upstream version 5.27.6

* Tue Dec 13 2022 lijian <lijian2@kylinos.cn> - 5.26.4-1
- update to upstream version 5.26.4

* Tue Jul 5 2022 huayadong<huayadong@kylinos.cn> - 5.25.2-1
- update to upstream version 5.25.2

* Sat Feb 12 2022 pei-jiankang<peijiankang@kylinos.cn> - 5.24.0-1
- update to upstream version 5.24.0

* Tue Jan 18 2022 pei-jiankang<peijiankang@kylinos.cn> - 5.18.5-1
- update to upstream version 5.18.5

* Tue Jun 8 2021 guoxiaoqi <guoxiaoqi2@huawei.com> - 5.15.0-1
- package init
